/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.job;

import net.sourceforge.kivu4j.utils.lang.CommonRuntimeException;

/**
 * 任务运行期异常
 *
 * @author Lucky Yang
 */
public class JobException extends CommonRuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 4326101605109456105L;

	public JobException() {
		super();
	}

	public JobException(String msg, Throwable cause) {
		super(msg, cause);
	}

	public JobException(String msg) {
		super(msg);
	}

	public JobException(Throwable cause) {
		super(cause);
	}

}
