/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.job;

import org.quartz.JobExecutionContext;

/**
 * 
 * 抽象的任务处理类, 可以使用spring的注入功能
 *
 * @author Lucky Yang
 */
public abstract class AbstractProcessor{
	public abstract void doProcess(JobExecutionContext context);
	
	public void process(JobExecutionContext context){
		this.doProcess(context);
	}
}
